Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_OS_Exit_Info Class Reference

Hold Object Manager cleanup (exit) information. More...

`#include <Cleanup.h>`

Collaboration diagram for ACE_OS_Exit_Info:

[legend]
List of all members.

## Public Member Functions
| ACE_OS_Exit_Info (void)
| Default constructor.
| ~ACE_OS_Exit_Info (void)
| Destructor.
int | at_exit_i (void *object, ACE_CLEANUP_FUNC cleanup_hook, void *param)
| Use to register a cleanup hook.
int | find (void *object)
void | call_hooks ()
## Private Attributes
ACE_Cleanup_Info_Node * | registered_objects_

## Detailed Description

Hold Object Manager cleanup (exit) information.

For internal use by the ACE library, only.

## Constructor & Destructor Documentation

ACE_OS_Exit_Info::ACE_OS_Exit_Info | ( | void |  | ) |

| Default constructor.

ACE_OS_Exit_Info::~ACE_OS_Exit_Info | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int ACE_OS_Exit_Info::at_exit_i | ( | void * | object,
|  | ACE_CLEANUP_FUNC | cleanup_hook,
|  | void * | param
| ) |

| Use to register a cleanup hook.

void ACE_OS_Exit_Info::call_hooks | ( |  | ) |

| Call all registered cleanup hooks, in reverse order of registration.

int ACE_OS_Exit_Info::find | ( | void * | object | ) |

| Look for a registered cleanup hook object. Returns 1 if already registered, 0 if not.

## Member Data Documentation

ACE_Cleanup_Info_Node* ACE_OS_Exit_Info::registered_objects_`[private]`

| Keeps track of all registered objects. The last node is only used to terminate the list (it doesn't contain a valid ACE_Cleanup_Info).

The documentation for this class was generated from the following files:

- Cleanup.h
- Cleanup.cpp